Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1895873 - Firefox 82.0.3 available
Summary: Firefox 82.0.3 available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 33
Hardware: All
OS: All
unspecified
urgent
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-09 10:33 UTC by JayJayJazz
Modified: 2020-11-19 02:26 UTC (History)
12 users (show)

Fixed In Version: firefox-82.0.3-1.fc33 firefox-82.0.3-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-11 01:20:33 UTC
Type: Bug


Attachments (Terms of Use)

Description JayJayJazz 2020-11-09 10:33:32 UTC
Description of problem:
Firefox 82.0.3 available

Version-Release number of selected component (if applicable):
82.0.3

Additional info:
Release notes not yet available:
https://www.mozilla.org/en-US/firefox/82.0.3/releasenotes/

FTP Link:
https://ftp.mozilla.org/pub/firefox/releases/82.0.3/

Comment 1 JayJayJazz 2020-11-09 15:40:03 UTC
Raising to urgent, as it fixes CVE-2020-26950.

Mozilla Security Advisory:
https://www.mozilla.org/en-US/security/advisories/mfsa2020-49/#CVE-2020-26950



Reporter:
360政企安全漏洞研究院 in Tianfu Cup 2020 International Cybersecurity Contest

Impact
critical

Description
In certain circumstances, the MCallGetProperty opcode can be emitted with unmet assumptions resulting in an exploitable use-after-free condition.


Mozilla Bug:
https://bugzilla.mozilla.org/show_bug.cgi?id=1675905

Comment 2 Fedora Update System 2020-11-10 04:49:45 UTC
FEDORA-2020-45d452ec44 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-45d452ec44

Comment 3 Fedora Update System 2020-11-10 04:49:45 UTC
FEDORA-2020-fc9085727a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-fc9085727a

Comment 4 Fedora Update System 2020-11-10 04:49:46 UTC
FEDORA-2020-cb886fd1b3 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-cb886fd1b3

Comment 5 Fedora Update System 2020-11-11 01:20:33 UTC
FEDORA-2020-cb886fd1b3 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2020-11-11 02:18:39 UTC
FEDORA-2020-fc9085727a has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-fc9085727a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-fc9085727a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-11-11 02:19:39 UTC
FEDORA-2020-45d452ec44 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-45d452ec44`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-45d452ec44

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-11-12 03:15:53 UTC
FEDORA-2020-fc9085727a has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-11-19 02:26:16 UTC
FEDORA-2020-93fd31f27d has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-93fd31f27d`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-93fd31f27d

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.